* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}
body::-webkit-scrollbar {
  background-color: rgb(199, 199, 199);
  border-radius: 10px;
  width: 10px;
}
body::-webkit-scrollbar-thumb {
  background-color: rgb(100, 224, 224);
  border-radius: 10px;
}
.container1 {
  height: 100vh;
  /* background: url(./images/frontnits.jpeg) no-repeat center center/cover; */
  width: 100%;
  top: 0;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  position: fixed;
}
.container1>img {
  width: 100%;
  height: 93.1vh;
}
.container-header1 {
    display: flex;
    justify-content: space-around;
    /* background-color: whitesmoke; */
    padding: 10px;
    position: sticky;
}
.container-header1-left {
  color: white;
  font-weight: bold;
}
.btn {
  background-color: rgb(237, 236, 237);
  border-radius: 15px;
  color: white;
  opacity: 0.8;
}
.btn:hover {
  opacity: 1;
}
.bt {
  border-radius: 15px;
  color: white;
  opacity: 0.7;
}
a {
  padding: 4px;
}
a:hover {
  opacity: 1
}
.fa:hover {
  cursor: pointer;
  transform: scale(1.3);
  -webkit-transform: scale(1.3);
  -moz-transform: scale(1.3);
  -ms-transform: scale(1.3);
  -o-transform: scale(1.3);
}
.fa-facebook {
  /* background: #fff; */
  color: #3B5998;
}  
.fa-twitter {
  /* background: #fff; */
  color: #55ACEE;
}  
.fa-youtube {
  /* background: #fff; */
  color: #bb0000;
}
.fa-instagram {
  /* background: #125688; */
  color: #125688;
}
/**/
.container-header2 {
  height: 80px;
  width: 100%;
  background-color: whitesmoke; 
  position: relative;
}
.logo {
  /* border: 5px solid black; */
  padding: 0 120px;
}
.logo img {
  margin-top: 5px;
  height: 70px;
  width: 70px;
}
.container-header2 ul {
  float: right;
  margin-right: 20px;
}
.container-header2 ul li {
  display: inline-block;
  line-height: 80px;
  margin: 15 5px;
  padding: 0px 5px;
}
.container-header2 ul li a {
  color: rgb(100, 224, 224);
  font-size: 20px;
  font-weight: bold;
  border: none;
  border-radius: 8px;
  /* position: relative; */
}

.container-header2 ul li a::before {
  margin-top: -10px;
  content: "";
  position: absolute;
  bottom: 0;
  width: 0;
  height: 3.5px;
  background-color: white;
  transition: width 0.4s;
  
}
.container-header2 ul li a:hover {
  color:white;
  width: 100%;
}
.checkbtn {
  font-size: 30px;
  color: white;
  float: right;
  line-height: 80px;
  margin-right: 40px;
  cursor: pointer;
  display: none;
}
#check {
  display: none;
}
.headline {
  text-align: center;
  margin: 85px 50px;
  font-size: 7vw;
  font-weight: bold;
  font-family: 'Times New Roman', Times, serif;
  color: white;
  /* background: url(./images/colorful.jpg);
  background-position: center;
  background-size: cover;
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent; */
}
.foot {
  height: 7vh;
  width: 100%;
  position: fixed;
  justify-content: center;
  align-items: center;
  background-color: rgb(100, 224, 224);
  color: white;
  font-size: 1.7vw;
  /* padding-top: 6px; */
  margin-top: 172px;
  display: inline-flex;
  cursor: pointer;
  /* position: fixed; */
}
.arrow {
  font-size: 20px;
  transition: transform 0.2s ease;
}
.foot:hover .arrow {
  transform: translateY(3px);
}

.about {
  height: 85vh;
  width: 100%;
  text-align: center;
  background-color: white;
  margin-top: 100vh;
  top: 0;
  left: 0;
  position: relative;
  overflow: hidden;
  display: block;
  z-index: 1;
  -webkit-box-ordinal-group: 2;
  order: 1
}
.about-header {
  margin-top: 50px;
  margin-bottom: 50px;
  font-size: 5vw;
  font-weight: bold;
}
.about-content {
  font-size: 2vw;
  margin-left: 4%;
  margin-right: 5%;
  padding: 10px;
}
.about-more {
  background-color: rgb(100, 224, 224);
  border: none;
  border-radius: 8px;
  color: white;
  width: 25vw;
  height: 7vh;
  margin: 3% 39%;
}
.about-more p {
  font-size: 1.6vw;
  font-weight: 550;
  padding: 10px 20px;
  cursor: pointer;
}
.about-more:hover {
  opacity: 0.8;
}
.campus {/* changes made :yash */
  margin: 0;
  padding: 0;
  height: 150vh;
  width: 100%;
  background-color: #f4f4f4;
  top: 0;
  left: 0;
  position: relative;
  overflow: hidden;
  display: block;
  z-index: 1;
}
.campus-header {
  margin-top: 50px;
  margin-bottom: 50px;
  font-size: 5vw;
  font-weight: bold;
  text-align: center;
  padding-top: 5px;
}
.campus-header p {
  margin-top: 50px;

}
.campus-more {
  background-color: rgb(100, 224, 224);
  border: none;
  border-radius: 8px;
  color: white;
  width: 25vw;
  height: 7vh;
  margin: 3% 39%;
}
.campus-more p {
  font-size: 1.6vw;
  font-weight: 550;
  padding: 10px 20px;
  cursor: pointer;
  text-align: center;
}
.campus-more:hover {
  opacity: 0.8;
}

.director-section {
  display: flex;
  height: 90vh;
  width: 100%;
  background-color: white;
  /* top: 0;
  left: 0; */
  position: relative;
  overflow: hidden;
  /* display: block; */
  z-index: 1;
  
}
.director-about {
  width: 90%;
  padding: 10px;
  margin-top: 80px;
  margin-left: -100px;
  margin-right: 50px;
}
.director-about h2 {
  font-size: 5vw;
  margin-top: 50px;
}
.director-about h3 {
  font-size: 2vw;
  margin-top: 5px;
}
.director-about p {
  font-size: 1.4vw;
  margin-top: 5px;
  /* margin-right: 50px; */
}
.director-img {
  width: 90%;
  padding: 10px;
}
.director-img img{
  margin-top: 50px;
  margin-left: 50px;
  height: 70vh;
  width: 35vw;
}
.readMoreBtn{
  background-color: rgb(100, 224, 224);
  border: none;
  font-size: x-large;
  border-radius: 8px;
  color: white;
  width: 15vw;
  height: 7vh;
  margin: 5% 0%;
}
.readMoreBtn:hover{
  cursor: pointer;
  transform: scale(1.07);
}
.director-more p {
  text-align: center;
  font-size: 1.6vw;
  font-weight: 550;
  padding: 10px 20px;
  cursor: pointer;
}
.director-more:hover {
  opacity: 0.8;
}

.academic {
  height: 115vh;
  width: 100%;
  /* text-align: center; */
  background-color: whitesmoke;
  top: 0;
  left: 0;
  position: relative;
  overflow: hidden;
  display: block;
  z-index: 1;
}
.academic-header {
  text-align: center;
  margin-top: 50px;
  margin-bottom: 50px;
  font-size: 5vw;
  font-weight: bold;
  padding-top: 5px;
}
.academic-content {
  display: flex;
  justify-content: space-evenly;
  margin-left: -13.5vw;
}
/* .undergraduate {
  display: flex;
  flex-direction: column;
} */
.academic-content p {
  font-size: 2vw;
  color: blue;
  margin-top: 410px;
}
.right-arrow {
  font-size: 25px;
  transition: transform 0.3s ease;
}
.undergraduate p:hover .right-arrow {
  transform: translateX(10px); 
}
.academic img {
  height: 400px;
  width: 370px;
}
.academic-more {
  background-color: rgb(100, 224, 224);
  border: none;
  border-radius: 8px;
  color: white;
  width: 25vw;
  height: 7vh;
  margin: 4% 37%;
}
.academic-more p {
  text-align: center;
  font-size: 1.6vw;
  font-weight: 550;
  padding: 10px 20px;
  cursor: pointer;
}
.academic-more:hover {
  opacity: 0.8;
}

.People-count {
  height: 30vh;
  width: 100%;
  background-color: white;
  top: 0;
  left: 0;
  position: relative;
  overflow: hidden;
  display: block;
  z-index: 1;
  display: flex;
  justify-content: center;
  justify-content: space-evenly;
  align-items: center;
}
.People-count-content {
  display: flex;
  gap: 1vw;
}
.People-count-content h3 {
  font-size: 2.5vw;
}
.People-count-content h4 {
  font-size: 1.6vw;
}

.footer {
  height: 60vh;
  width: 100%;
  background-color: whitesmoke;
  top: 0;
  left: 0;
  position: relative;
  overflow: hidden;
  display: block;
  z-index: 1;
  display: flex;
  /* display: flexbox; */
  justify-content: center;
  justify-content: space-evenly;
  align-items: center;
}
.section-1 {
  text-align: center;
  margin-top: 6%;
  /* width: 25%; */
  height: 50%;
  margin-left: 0%;
}
.section-1 img {
  margin: -6% 0% -5% -3%;
  height: 11vh;
  width: auto;
}
.section-2 {
  margin-top: 4%;
  /* width: 25%; */
  height: 80%;
}
.section-2 a {
  display: flex;
  flex-direction: column;
  color: black;
  opacity: 0.8;
}
.section-2 a:hover {
  color: rgb(100, 224, 224);
  opacity: 1;
}
.section-3 {
  margin-top: 4%;
  height: 80%;
}
.section-3 a {
  display: flex;
  flex-direction: co;
  color: black;
  opacity: 0.8;
}
.section-3 a:hover {
  color: rgb(100, 224, 224);
  opacity: 1;
}
.section-4 {
  margin-top: 4%;
  height: 80%;
  color: black;
}
#timeDate {
  display: flex;
  flex-direction: column;
  font-size: 17px;
}
.footer-last {
  height: 10vh;
  width: 100%;
  background-color: white;
  top: 0;
  left: 0;
  position: relative;
  overflow: hidden;
  display: block;
  z-index: 1;
  display: flex;
  /* display: flexbox; */
  justify-content: center;
  justify-content: space-evenly;
  align-items: center;
}
.credit {
  cursor: pointer;
  opacity: 0.8;
}
.credit:hover {
  color: rgb(100, 224, 224);
  opacity: 1;
}

/* @media (max-width: 952px) {
  .container-header2 .logo {
    font-size: 30px;
    padding-left: 50px;
  }
  nav ul li a {
    font-size: 16px;
  }
} */

@media (max-width: 600px) {
  .container1 {
    height: 50vh;
  }
  .container-header2 {
    background-color: rgb(100, 224, 224);
  }
  .checkbtn {
    display: block;
    margin-right: 20px;
  }
  .btn {
    font-size: 3vw;
  }
  .logo {
    height: 20vh;
  }
  .logo img {
    margin-top: 5px;
    margin-left: 20px;
  }
  .container-header2 ul {
    position: absolute;
    width: 100%;
    height: 65vh;
    /* margin-top: 0px; */
    background-color: #2c3e50;
    top: 80px;
    left: -100%;
    text-align: center;
    transition: all .5s;
    /* display: none; */
  }
  .container-header2 ul li  {
    display: block;
    margin: 50px 0;
    line-height: 10px;
  }
  .container-header2 ul li a {
    font-size: 20px;
  }
  .container-header2 a:hover, a.active {
    background: none;
    color: rgb(100, 224, 224);
  }
  #check:checked ~ ul {
    left: 0;
  }
  .headline {
    font-size: 8vw;
    font-weight: bold;
    display: none;
  }
  .foot {
    font-size: 4vw;
    margin-top: 64.5vh;
  }
  .about {
    height: 70vh;
    width: 100%;
  }
  .about-header {
    font-size: 10vw;
  }
  .about-content {
    text-align: center;
    font-size: 4vw;
    margin-top: -4%;
    padding: 10px;
  }
  .about-more {
    background-color: rgb(100, 224, 224);
    border: none;
    border-radius: 8px;
    color: white;
    width: 50vw;
    height: 7vh;
    margin: 5% 25%;
  }
  .about-more p {
    font-size: 4vw;
    font-weight: 550;
    padding: 10px 15px;
    cursor: pointer;
  }

  .campus {/* changes made :yash */
    height: 140vh;
  }
  .campus-header {
    font-size: 10vw;
  }
  .campus-more {
    width: 50vw;
    height: 7vh;
    margin: 5% 25%;
  }
  .campus-more p {
    font-size: 4vw;
    font-weight: 550;
    padding: 10px 20px;
  }
  .director-section {
    text-align: center;
    display: flex;
    flex-direction: rows;
    height: 90vh;
    position: relative; 
  }
  .director-about {
    width: 100%;
    margin-top: 110%;
    text-align: center;
    margin-left: -65vw;
    /* margin-right: 180px; */
  }
  .director-about h2 {
    font-size: 7vw;
    margin-top: 20px;
  }
  .director-about h3 {
    font-size: 4.2vw;
    margin-top: 5px;
  }
  .director-about p {
    font-size: 3vw;
    margin-top: 5px;
  }
  .director-img {
    width: 100%;
    
    /* padding: 10px; */
  }
  .director-img img{
    margin-top: 20vw;
    margin-right: 30vw;
    height: 40vh;
    width: 75vw;
    border-radius: 8px;
  }
  .readMoreBtn{
    font-size: 5vw;
    width: 35vw;
    height:6vh;
    margin: 5% 7%;
    padding: 2% 3%;
    text-align: center;
  }
  .academic {
    height: 220vh;
  }
  .academic-content {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
    
  }
  .undergraduate p {
    margin-bottom: 5vh;
    font-size: 5vw;
    margin-left: -20vw;
  }
  .right-arrow {
    font-size: 5vw;
  }

  .academic-header {
    font-size: 10vw;
  }
  .academic-content img {
    margin: 0% 10%;
    height: 50vh;
    width: 80vw;
    border-radius: 8px;
  }
  .academic-more {
    width: 50vw;
    height: 6vh;
    margin: 4% 26%;
    padding: 8px 0px 0px 0px;
  }
  .academic-more p {
    text-align: center;
    font-size: 4vw;
    padding: 5px 10px 0px 10px;
  }
  .People-count {
    height: 60vh;
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
  }
  .student h3{
    font-size: 6vw;
  }
  .student h4{
    font-size: 7vw;
  }
  .faculty h3{
    font-size: 6vw;
  }
  .faculty h4{
    font-size: 7vw;
  }
  .staff h3{
    font-size: 6vw;
  }
  .staff h4{
    font-size: 7vw;
  }

  .footer {
    height: 128vh;
    display: grid;
    grid-template-rows: 1.3fr 1fr 1fr 1fr;
  }
  .section-1 img{
    margin-left: 38%;
  }
  .section-1-content {
    text-align: center;
    margin-top: 10vh;

  }
  .section-2 {
    margin-left: 2vw;
  }
  .section-3 {
    margin-left: 2vw;
  }
  .section-4 {
    margin-left: 2vw;
  }
  .footer-last {
    text-align: center;
  }

  
}

/* Typing Animation */

.headline h2{
  opacity: 0.9;
  overflow: hidden;
  white-space: nowrap;
  margin: 0 auto;
  animation:typing 5s steps(40), blink-caret 0.75s step-end infinite;
}

@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

@keyframes blink-caret {
  from,
  to {
    border-color: transparent;
  }
  50% {
    border-color: #000;
  }
}




